User account creation filtered due to spam.

Bug 9351 - Cannot compile kaffe core classes (foreign java.lang.Object)
Summary: Cannot compile kaffe core classes (foreign java.lang.Object)
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 3.3
: P3 enhancement
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-valid-code
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-17 05:46 UTC by Mark Wielaard
Modified: 2007-01-09 20:44 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-03-11 15:19:48


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Wielaard 2003-01-17 05:46:00 UTC
Compiling the Kaffe core classes gives the following error:

java/lang/Object.java: In class `java.lang.Object':
java/lang/Object.java: In constructor `()':
java/lang/Object.java:20: internal compiler error: Segmentation fault

Release:
gcj (GCC) 3.3 20030103 (prerelease)

How-To-Repeat:
# Checkout kaffe from cvs:
cvs -d :pserver:readonly@cvs.kaffe.org:/cvs/kaffe
cvs -d:pserver:readonly@cvs.kaffe.org:/cvs/kaffe co kaffe

# Configure to use gcj as compiler:
./configure  --with-jikes=/usr/local/gcc33/bin/gcj

# Make the core class library:
JAVAC_FLAGS="-C" make Klasses
Comment 1 Andrew Pinski 2003-05-26 22:23:34 UTC
I do not think this even going to be possible so changing to enchancement and lowing 
priority and
Comment 2 Andrew Pinski 2003-05-26 22:23:57 UTC
suspending it.
Comment 3 Mark Wielaard 2003-06-05 20:26:21 UTC
Just checked gcj 3.3 against the CVS version of kaffe (pre 1.1).

$ JAVAC_FLAGS="-C" make Klasses
make[1]: Entering directory `/home/mark/src/kaffe/libraries/javalib'
rm -rf lib
mkdir lib
/bin/sh ./rebuildLib @essential.files
Compiling classes from @essential.files using  /usr/local/gcc33/bin/gcj
./java/lang/ClassNotFoundException.java:52: error: Class
`java.lang.ClassNotFoundException' already defined in
java/lang/ClassNotFoundException.java:52.
   public class ClassNotFoundException extends Exception
                ^
./java/lang/ClassNotFoundException.java:72: confused by earlier errors, bailing out
make[1]: *** [lib/stamp] Error 1
make[1]: Leaving directory `/home/mark/src/kaffe/libraries/javalib'
make: *** [Klasses] Error 2

This is because gcj gets confused about java/lang/ClassNotFoundException.java
and ./java/lang/ClassNotFoundException.java (note the ./ in front of the second
instance).

Changing all files in essential.files to have ./ added in front of them resolves
this issue. But brings back the original problem report.

Should this bug really be suspended? It might not have very high priority at the
moment, but it would be nice to be able to use gcj for compiling the kaffe core
classes (Kaffe is slowly merging with GNU Classpath, just like gcj).
Comment 4 Tom Tromey 2003-07-28 16:41:14 UTC
This is fixable, so I'm reopening.
Comment 5 Andrew Pinski 2003-11-15 20:51:03 UTC
There was another report of this but with classpath ( I cannot remember the PR # right 
now).
Comment 6 Andrew Pinski 2004-12-10 03:11:38 UTC
Does this work now after the BC branch was merged.
Comment 7 Tom Tromey 2007-01-09 20:44:46 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.